Package owl.automaton

## Class AbstractAutomaton<S,A extends OmegaAcceptance>

- java.lang.Object
- - owl.automaton.AbstractAutomaton<S,A>

- All Implemented Interfaces:
    `Automaton<S,A>`
  Direct Known Subclasses:
    `ImplicitCachedStatesAutomaton`

      public abstract class AbstractAutomaton<S,A extends OmegaAcceptance>
      extends Object
      implements Automaton<S,A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeVisitor<S>, Automaton.HybridVisitor<S>, Automaton.LabelledEdgeVisitor<S>, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected A` | `acceptance` |
    `protected ValuationSetFactory` | `factory` |
    `protected Set<S>` | `initialStates` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAutomaton​(ValuationSetFactory factory, A acceptance, Set<S> initialStates)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `A` | `acceptance()` | Returns the acceptance condition of this automaton.
    `ValuationSetFactory` | `factory()` |
    `Set<S>` | `initialStates()` | Returns the set of initial states, which can potentially be empty.

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, accept, accept, edge, edges, edges, forEachEdge, forEachLabelledEdge, is, labelledEdges, name, onlyInitialState, predecessors, prefersLabelled, size, states, successor, successors, successors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acceptance

          protected final A extends OmegaAcceptance acceptance

    - #### initialStates

          protected final Set<S> initialStates

    - #### factory

          protected final ValuationSetFactory factory

  - ### Constructor Detail

    - #### AbstractAutomaton

          public AbstractAutomaton​(ValuationSetFactory factory,
                                   A acceptance,
                                   Set<S> initialStates)

  - ### Method Detail

    - #### acceptance

          public final A acceptance()

      Description copied from interface: `Automaton`
      Returns the acceptance condition of this automaton.
      Specified by:
        `acceptance` in interface `Automaton<S,A extends OmegaAcceptance>`
      Returns:
        The acceptance.

    - #### factory

          public final ValuationSetFactory factory()

      Specified by:
        `factory` in interface `Automaton<S,A extends OmegaAcceptance>`

    - #### initialStates

          public final Set<S> initialStates()

      Description copied from interface: `Automaton`
      Returns the set of initial states, which can potentially be empty.
      Specified by:
        `initialStates` in interface `Automaton<S,A extends OmegaAcceptance>`
      Returns:
        The set of initial states.